## shotcut 25.03.13+ds

=== CuteLogger/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.1)

PROJECT(CuteLogger)

FIND_PACKAGE(Qt6Core REQUIRED)

ADD_DEFINITIONS(-DCUTELOGGER_LIBRARY)

INCLUDE(GNUInstallDirs)

INCLUDE_DIRECTORIES(BEFORE include)

SET(sources
  src/Logger.cpp
  src/AbstractAppender.cpp
  src/AbstractStringAppender.cpp
  src/ConsoleAppender.cpp
  src/FileAppender.cpp
  src/RollingFileAppender.cpp
)

SET(includes
  include/Logger.h
  include/FileAppender.h
  include/CuteLogger_global.h
  include/ConsoleAppender.h
  include/AbstractStringAppender.h
  include/AbstractAppender.h
  include/RollingFileAppender.h
 )


# OutputDebugAppender is only for Windows systems
IF(WIN32)
  SET(sources ${sources} src/OutputDebugAppender.cpp)
  SET(includes ${includes} include/OutputDebugAppender.h)
ENDIF(WIN32)


SET(library_target CuteLogger)

ADD_LIBRARY(${library_target} SHARED ${sources} ${includes})
TARGET_LINK_LIBRARIES(${library_target} Qt6::Core)
IF(WINDOWS_DEPLOY)
  INSTALL(TARGETS ${library_target} DESTINATION ${CMAKE_INSTALL_LIBDIR})
ELSE()
  INSTALL(TARGETS ${library_target}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)
ENDIF(WINDOWS_DEPLOY)

=== src/CMakeLists.txt ===
add_executable(shotcut WIN32 MACOSX_BUNDLE
  abstractproducerwidget.cpp abstractproducerwidget.h
  actions.cpp actions.h
  autosavefile.cpp autosavefile.h
  commands/filtercommands.cpp commands/filtercommands.h
  commands/markercommands.cpp commands/markercommands.h
  commands/playlistcommands.cpp commands/playlistcommands.h
  commands/subtitlecommands.cpp commands/subtitlecommands.h
  commands/timelinecommands.cpp commands/timelinecommands.h
  commands/undohelper.cpp commands/undohelper.h
  controllers/filtercontroller.cpp controllers/filtercontroller.h
  controllers/scopecontroller.cpp controllers/scopecontroller.h
  database.cpp database.h
  dialogs/actionsdialog.cpp dialogs/actionsdialog.h
  dialogs/addencodepresetdialog.cpp dialogs/addencodepresetdialog.h
  dialogs/addencodepresetdialog.ui
  dialogs/alignaudiodialog.cpp dialogs/alignaudiodialog.h
  dialogs/alignmentarray.cpp dialogs/alignmentarray.h
  dialogs/bitratedialog.h dialogs/bitratedialog.cpp
  dialogs/customprofiledialog.cpp dialogs/customprofiledialog.h
  dialogs/customprofiledialog.ui
  dialogs/durationdialog.cpp dialogs/durationdialog.h
  dialogs/durationdialog.ui
  dialogs/editmarkerdialog.cpp dialogs/editmarkerdialog.h
  dialogs/filedatedialog.cpp dialogs/filedatedialog.h
  dialogs/listselectiondialog.cpp dialogs/listselectiondialog.h
  dialogs/listselectiondialog.ui
  dialogs/longuitask.cpp dialogs/longuitask.h
  dialogs/multifileexportdialog.cpp dialogs/multifileexportdialog.h
  dialogs/resourcedialog.cpp dialogs/resourcedialog.h
  dialogs/saveimagedialog.cpp dialogs/saveimagedialog.h
  dialogs/slideshowgeneratordialog.cpp dialogs/slideshowgeneratordialog.h
  dialogs/subtitletrackdialog.cpp dialogs/subtitletrackdialog.h
  dialogs/systemsyncdialog.cpp dialogs/systemsyncdialog.h
  dialogs/systemsyncdialog.ui
  dialogs/textviewerdialog.cpp dialogs/textviewerdialog.h
  dialogs/textviewerdialog.ui
  dialogs/transcodedialog.cpp dialogs/transcodedialog.h
  dialogs/transcodedialog.ui
  dialogs/transcribeaudiodialog.cpp dialogs/transcribeaudiodialog.h
  dialogs/unlinkedfilesdialog.cpp dialogs/unlinkedfilesdialog.h
  dialogs/unlinkedfilesdialog.ui
  docks/encodedock.cpp docks/encodedock.h
  docks/encodedock.ui
  docks/filesdock.cpp docks/filesdock.h
  docks/filesdock.ui
  docks/filtersdock.cpp docks/filtersdock.h
  docks/jobsdock.cpp docks/jobsdock.h
  docks/jobsdock.ui
  docks/keyframesdock.cpp docks/keyframesdock.h
  docks/markersdock.cpp docks/markersdock.h
  docks/notesdock.cpp docks/notesdock.h
  docks/playlistdock.cpp docks/playlistdock.h
  docks/playlistdock.ui
  docks/recentdock.cpp docks/recentdock.h
  docks/recentdock.ui
  docks/scopedock.cpp docks/scopedock.h
  docks/subtitlesdock.cpp docks/subtitlesdock.h
  docks/timelinedock.cpp docks/timelinedock.h
  jobqueue.cpp jobqueue.h
  jobs/abstractjob.cpp jobs/abstractjob.h
  jobs/bitrateviewerjob.h jobs/bitrateviewerjob.cpp
  jobs/encodejob.cpp jobs/encodejob.h
  jobs/ffmpegjob.cpp jobs/ffmpegjob.h
  jobs/ffprobejob.cpp jobs/ffprobejob.h
  jobs/gopro2gpxjob.cpp jobs/gopro2gpxjob.h
  jobs/meltjob.cpp jobs/meltjob.h
  jobs/postjobaction.cpp jobs/postjobaction.h
  jobs/qimagejob.cpp jobs/qimagejob.h
  jobs/videoqualityjob.cpp jobs/videoqualityjob.h
  jobs/whisperjob.cpp jobs/whisperjob.h
  main.cpp
  mainwindow.cpp mainwindow.h
  mainwindow.ui
  mltcontroller.cpp mltcontroller.h
  mltxmlchecker.cpp mltxmlchecker.h
  models/actionsmodel.cpp models/actionsmodel.h
  models/alignclipsmodel.cpp models/alignclipsmodel.h
  models/attachedfiltersmodel.cpp models/attachedfiltersmodel.h
  models/audiolevelstask.cpp models/audiolevelstask.h
  models/keyframesmodel.cpp models/keyframesmodel.h
  models/markersmodel.cpp models/markersmodel.h
  models/metadatamodel.cpp models/metadatamodel.h
  models/motiontrackermodel.h models/motiontrackermodel.cpp
  models/multitrackmodel.cpp models/multitrackmodel.h
  models/playlistmodel.cpp models/playlistmodel.h
  models/resourcemodel.cpp models/resourcemodel.h
  models/subtitles.cpp models/subtitles.h
  models/subtitlesmodel.cpp models/subtitlesmodel.h
  models/subtitlesselectionmodel.cpp models/subtitlesselectionmodel.h
  openotherdialog.cpp openotherdialog.h
  openotherdialog.ui
  player.cpp player.h
  proxymanager.cpp proxymanager.h
  qmltypes/colordialog.h qmltypes/colordialog.cpp
  qmltypes/colorpickeritem.cpp qmltypes/colorpickeritem.h
  qmltypes/colorwheelitem.cpp qmltypes/colorwheelitem.h
  qmltypes/filedialog.h qmltypes/filedialog.cpp
  qmltypes/fontdialog.h qmltypes/fontdialog.cpp
  qmltypes/messagedialog.h qmltypes/messagedialog.cpp
  qmltypes/qmlapplication.cpp qmltypes/qmlapplication.h
  qmltypes/qmleditmenu.cpp qmltypes/qmleditmenu.h
  qmltypes/qmlfile.cpp qmltypes/qmlfile.h
  qmltypes/qmlfilter.cpp qmltypes/qmlfilter.h
  qmltypes/qmlmarkermenu.cpp qmltypes/qmlmarkermenu.h
  qmltypes/qmlmetadata.cpp qmltypes/qmlmetadata.h
  qmltypes/qmlproducer.cpp qmltypes/qmlproducer.h
  qmltypes/qmlprofile.cpp qmltypes/qmlprofile.h
  qmltypes/qmlrichtext.cpp qmltypes/qmlrichtext.h
  qmltypes/qmlrichtextmenu.cpp qmltypes/qmlrichtextmenu.h
  qmltypes/qmlutilities.cpp qmltypes/qmlutilities.h
  qmltypes/qmlview.cpp qmltypes/qmlview.h
  qmltypes/thumbnailprovider.cpp qmltypes/thumbnailprovider.h
  qmltypes/timelineitems.cpp qmltypes/timelineitems.h
  resources.qrc
  scrubbar.cpp scrubbar.h
  settings.cpp settings.h
  sharedframe.cpp sharedframe.h
  shotcut_mlt_properties.h
  transcoder.cpp transcoder.h
  spatialmedia/box.cpp spatialmedia/box.h
  spatialmedia/container.cpp spatialmedia/container.h
  spatialmedia/mpeg4_container.cpp spatialmedia/mpeg4_container.h
  spatialmedia/sa3d.cpp spatialmedia/sa3d.h
  spatialmedia/spatialmedia.cpp spatialmedia/spatialmedia.h
  transportcontrol.h
  util.cpp util.h
  videowidget.cpp videowidget.h
  widgets/alsawidget.cpp widgets/alsawidget.h
  widgets/alsawidget.ui
  widgets/audiometerwidget.cpp widgets/audiometerwidget.h
  widgets/audioscale.cpp widgets/audioscale.h
  widgets/avformatproducerwidget.cpp widgets/avformatproducerwidget.h
  widgets/avformatproducerwidget.ui
  widgets/avfoundationproducerwidget.cpp widgets/avfoundationproducerwidget.h
  widgets/avfoundationproducerwidget.ui
  widgets/blipproducerwidget.cpp widgets/blipproducerwidget.h
  widgets/blipproducerwidget.ui
  widgets/colorbarswidget.cpp widgets/colorbarswidget.h
  widgets/colorbarswidget.ui
  widgets/colorproducerwidget.cpp widgets/colorproducerwidget.h
  widgets/colorproducerwidget.ui
  widgets/colorwheel.cpp widgets/colorwheel.h
  widgets/countproducerwidget.cpp widgets/countproducerwidget.h
  widgets/countproducerwidget.ui
  widgets/decklinkproducerwidget.cpp widgets/decklinkproducerwidget.h
  widgets/decklinkproducerwidget.ui
  widgets/directshowvideowidget.cpp widgets/directshowvideowidget.h
  widgets/directshowvideowidget.ui
  widgets/docktoolbar.cpp widgets/docktoolbar.h
  widgets/editmarkerwidget.cpp widgets/editmarkerwidget.h
  widgets/exportpresetstreeview.cpp widgets/exportpresetstreeview.h
  widgets/frameratewidget.cpp widgets/frameratewidget.h
  widgets/glaxnimateproducerwidget.cpp widgets/glaxnimateproducerwidget.h
  widgets/glaxnimateproducerwidget.ui
  widgets/imageproducerwidget.cpp widgets/imageproducerwidget.h
  widgets/imageproducerwidget.ui
  widgets/isingwidget.cpp widgets/isingwidget.h
  widgets/isingwidget.ui
  widgets/lineeditclear.cpp widgets/lineeditclear.h
  widgets/lissajouswidget.cpp widgets/lissajouswidget.h
  widgets/lissajouswidget.ui
  widgets/lumamixtransition.cpp widgets/lumamixtransition.h
  widgets/lumamixtransition.ui
  widgets/mltclipproducerwidget.cpp widgets/mltclipproducerwidget.h
  widgets/networkproducerwidget.cpp widgets/networkproducerwidget.h
  widgets/networkproducerwidget.ui
  widgets/newprojectfolder.cpp widgets/newprojectfolder.h
  widgets/newprojectfolder.ui
  widgets/noisewidget.cpp widgets/noisewidget.h
  widgets/noisewidget.ui
  widgets/plasmawidget.cpp widgets/plasmawidget.h
  widgets/plasmawidget.ui
  widgets/playlisticonview.cpp widgets/playlisticonview.h
  widgets/playlistlistview.cpp widgets/playlistlistview.h
  widgets/playlisttable.cpp widgets/playlisttable.h
  widgets/producerpreviewwidget.cpp widgets/producerpreviewwidget.h
  widgets/pulseaudiowidget.cpp widgets/pulseaudiowidget.h
  widgets/pulseaudiowidget.ui
  widgets/resourcewidget.cpp widgets/resourcewidget.h
  widgets/scopes/audioloudnessscopewidget.cpp widgets/scopes/audioloudnessscopewidget.h
  widgets/scopes/audiopeakmeterscopewidget.cpp widgets/scopes/audiopeakmeterscopewidget.h
  widgets/scopes/audiospectrumscopewidget.cpp widgets/scopes/audiospectrumscopewidget.h
  widgets/scopes/audiosurroundscopewidget.cpp widgets/scopes/audiosurroundscopewidget.h
  widgets/scopes/audiovectorscopewidget.cpp widgets/scopes/audiovectorscopewidget.h
  widgets/scopes/audiowaveformscopewidget.cpp widgets/scopes/audiowaveformscopewidget.h
  widgets/scopes/scopewidget.cpp widgets/scopes/scopewidget.h
  widgets/scopes/videohistogramscopewidget.cpp widgets/scopes/videohistogramscopewidget.h
  widgets/scopes/videorgbparadescopewidget.cpp widgets/scopes/videorgbparadescopewidget.h
  widgets/scopes/videorgbwaveformscopewidget.cpp widgets/scopes/videorgbwaveformscopewidget.h
  widgets/scopes/videovectorscopewidget.cpp widgets/scopes/videovectorscopewidget.h
  widgets/scopes/videowaveformscopewidget.cpp widgets/scopes/videowaveformscopewidget.h
  widgets/scopes/videozoomscopewidget.cpp widgets/scopes/videozoomscopewidget.h
  widgets/scopes/videozoomwidget.cpp widgets/scopes/videozoomwidget.h
  widgets/screenselector.cpp widgets/screenselector.h
  widgets/servicepresetwidget.cpp widgets/servicepresetwidget.h
  widgets/servicepresetwidget.ui
  widgets/slideshowgeneratorwidget.cpp widgets/slideshowgeneratorwidget.h
  widgets/statuslabelwidget.cpp widgets/statuslabelwidget.h
  widgets/textproducerwidget.cpp widgets/textproducerwidget.h
  widgets/textproducerwidget.ui
  widgets/timelinepropertieswidget.cpp widgets/timelinepropertieswidget.h
  widgets/timelinepropertieswidget.ui
  widgets/timespinbox.cpp widgets/timespinbox.h
  widgets/toneproducerwidget.cpp widgets/toneproducerwidget.h
  widgets/toneproducerwidget.ui
  widgets/trackpropertieswidget.cpp widgets/trackpropertieswidget.h
  widgets/trackpropertieswidget.ui
  widgets/video4linuxwidget.cpp widgets/video4linuxwidget.h
  widgets/video4linuxwidget.ui
  ../icons/resources.qrc
)

add_custom_target(OTHER_FILES
  SOURCES
  ../.github/ISSUE_TEMPLATE.md
  ../.github/workflows/build-linux-unstable.yml
  ../.github/workflows/build-linux.yml
  ../.github/workflows/build-macos-unstable.yml
  ../.github/workflows/build-macos.yml
  ../.github/workflows/build-sdk-windows-unstable.yml
  ../.github/workflows/build-sdk-windows.yml
  ../.github/workflows/build-windows-unstable.yml
  ../.github/workflows/build-windows.yml
  ../COPYING
  ../icons/dark/index.theme
  ../icons/light/index.theme
  ../packaging/linux/appimage/appimage.yml
  ../packaging/linux/Makefile
  ../packaging/linux/org.shotcut.Shotcut.desktop
  ../packaging/linux/org.shotcut.Shotcut.metainfo.xml.in
  ../packaging/linux/org.shotcut.Shotcut.xml
  ../packaging/linux/shotcut.1
  ../packaging/linux/snapcraft.yaml.in
  ../packaging/macos/Info.plist.in
  ../packaging/macos/shotcut.icns
  ../packaging/windows/shotcut.iss
  ../packaging/windows/shotcut.rc.in
  ../README.md
  ../scripts/build-shotcut-msys2.sh
  ../scripts/build-shotcut.sh
  ../scripts/codesign_and_notarize.sh
  ../scripts/notarize.sh
  ../scripts/staple.sh
)

target_link_libraries(shotcut
  PRIVATE
  CuteLogger
  PkgConfig::mlt++
  PkgConfig::FFTW
  Qt6::Charts
  Qt6::Multimedia
  Qt6::Network
  Qt6::OpenGL
  Qt6::OpenGLWidgets
  Qt6::QuickControls2
  Qt6::QuickWidgets
  Qt6::Sql
  Qt6::Widgets
  Qt6::Xml
)
if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
  target_link_libraries(shotcut PRIVATE Qt6::DBus)
endif()

file(GLOB_RECURSE QML_SRC "qml/*")
target_sources(shotcut PRIVATE ${QML_SRC})

target_include_directories(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/CuteLogger/include)

=== debian/changelog ===
shotcut (25.03.13+ds-1ubuntu1) plucky; urgency=medium

  * Move the patchelf call later in the build process.
    References Launchpad bug #2060779.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 13:43:20 -0500

shotcut (25.03.13+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 14 Mar 2025 07:30:00 +0000

shotcut (25.03.12+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 13 Mar 2025 11:29:46 +0000

=== debian/control ===
Source: shotcut
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libmlt++-dev,
 libmlt-dev,
 libmovit-dev,
 libmp3lame-dev,
 libx264-dev,
 libx265-dev,
 libqt6opengl6-dev,
 libjs-three,
 qml6-module-qtmultimedia,
 qml-module-qtquick-privatewidgets,
 qml-qt6,
 frei0r-plugins-dev,
 patchelf,
 qt6-multimedia-dev,
 qt6-base-dev,
 qt6-declarative-dev,
 qt6-tools-dev,
 qt6-quick3d-dev,
 qt6-charts-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/shotcut
Homepage: https://www.shotcut.org/

Package: shotcut
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libjs-three,
 qml6-module-qt-labs-animation,
 qml6-module-qt-labs-folderlistmodel,
 qml6-module-qt-labs-lottieqt,
 qml6-module-qt-labs-platform,
 qml6-module-qt-labs-qmlmodels,
 qml6-module-qt-labs-settings,
 qml6-module-qt-labs-sharedimage,
 qml6-module-qt-labs-wavefrontmesh,
 qml6-module-qtcore,
 qml6-module-qtqml,
 qml6-module-qtqml-models,
 qml6-module-qtqml-statemachine,
 qml6-module-qtqml-workerscript,
 qml6-module-qtqml-xmllistmodel,
 qml6-module-qtquick,
 qml6-module-qtquick-localstorage,
 qml6-module-qtquick-nativestyle,
 qml6-module-qtquick-particles,
 qml6-module-qtquick-shapes,
 qml6-module-qtquick-templates,
 qml6-module-qtquick-timeline,
 qml6-module-qtquick-tooling,
 qml6-module-qtquick-virtualkeyboard,
 qml6-module-qtquick-window,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-dialogs,
 qml6-module-qtquick-layouts,
 melt,
 frei0r-plugins,
 shotcut-data (>= ${source:Version}),
Description: video editor
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.

Package: shotcut-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: shotcut (<< 20.11.28+ds-1)
Replaces: shotcut (<< 20.11.28+ds-1)
Description: video editor data
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.
 .
 These are data files needed for the binary package.

## shotcut 25.03.29%2Bds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

if (${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.20")
  cmake_policy(SET CMP0115 NEW)
endif()

if(NOT DEFINED SHOTCUT_VERSION)
  string(TIMESTAMP SHOTCUT_VERSION "%y.%m.%d")
endif()

project(shotcut
  VERSION ${SHOTCUT_VERSION}
  DESCRIPTION "cross-platform (Qt), open-source (GPLv3) video editor"
  HOMEPAGE_URL "https://www.shotcut.org"
  LANGUAGES CXX
)

if(WIN32)
  option(WINDOWS_DEPLOY "Install exes/libs directly to prefix (no subdir /bin)" ON)
endif()
option(CLANG_FORMAT "Enable Clang Format" ON)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(FeatureSummary)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt6 6.4 REQUIRED
  COMPONENTS
  Charts
  Multimedia
  Network
  OpenGL
  OpenGLWidgets
  QuickControls2
  QuickWidgets
  Sql
  Widgets
  Xml
)
if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
  find_package(Qt6 6.4 REQUIRED COMPONENTS DBus)
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(mlt++ REQUIRED IMPORTED_TARGET mlt++-7>=7.22.0)
pkg_check_modules(FFTW IMPORTED_TARGET fftw3)
if(NOT FFTW_FOUND)
  pkg_check_modules(FFTW REQUIRED IMPORTED_TARGET fftw)
endif()

add_subdirectory(CuteLogger)
add_subdirectory(src)
add_subdirectory(translations)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

add_custom_target(codespell COMMAND
  cd "${CMAKE_SOURCE_DIR}" &&
  codespell -w -q 3
  -L shotcut,uint,seeked,really,prevent
  -S export-chapters.js,export-edl.js,CuteLogger,drmingw,node_modules,moc_*,index.theme,*.ts,three.min.js,three.js,jquery.js,rangy-*.js,Makefile,shotcut.pro,*.desktop
)

if(CLANG_FORMAT)
  # Formatting may change with different versions of clang-format.
  # Test new versions before changing the allowed version here to avoid
  # accidental broad changes to formatting.
  find_package(ClangFormat 14 EXACT)
  if(CLANGFORMAT_FOUND)
    file(GLOB_RECURSE FORMAT_FILES "src/*.h" "src/*.c" "src/*.cpp")
    # exclude 3rd party & generated source from format checking
    list(FILTER FORMAT_FILES EXCLUDE REGEX "/.*/spatialmedia/")
    list(FILTER FORMAT_FILES EXCLUDE REGEX "/.*/defaultlayouts.h")
    list(FILTER FORMAT_FILES EXCLUDE REGEX "/.*/*_autogen/")
    add_custom_target(clang-format COMMAND
      ${CLANGFORMAT_EXECUTABLE} -style=file -i ${FORMAT_FILES}
    )
    add_custom_target(clang-format-check COMMAND
      ${CLANGFORMAT_EXECUTABLE} --dry-run --Werror -style=file -i ${FORMAT_FILES}
    )
  else()
    set(CLANG_FORMAT OFF)
  endif()
endif()

file(GLOB_RECURSE QML_SRC "src/qml/*.qml")
add_custom_target(qmlformat COMMAND
  ${CMAKE_PREFIX_PATH}/bin/qmlformat -i ${QML_SRC}
)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEBARCH:=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export QTDIR=/usr/share/qt5
export QT_SELECT=qt5

%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/shotcut $(DEBARCH)

override_dh_install:
	dh_install
	-chmod +x debian/*/usr/share/shotcut/qml/export-*/rebuild.sh

override_dh_dwz:
	echo NO THANKS

execute_after_dh_strip:
	-patchelf --set-rpath /usr/lib/shotcut debian/shotcut/usr/bin/shotcut

## shotcut 25.03.29+ds

=== translations/CMakeLists.txt ===
find_package(Qt6 REQUIRED COMPONENTS LinguistTools)

# Translation howto:
# - Translations are mentioned in the LANGUAGES variable below
# - To update the .ts files, cd into translations and run 'ninja translations'
# - The .qm files are created as part of a regular make command

set(LANGUAGES
    ar
    ca
    cs
    da
    de
    el
    en
    en_GB
    es
    et
    eu
    fi
    fr
    ga
    gd
    gl
    he_IL
    hu
    it
    ko
    ja
    nb
    nn
    ne
    nl
    oc
    pl
    pt_BR
    pt_PT
    ro
    ru
    sk
    sl
    sv
    th
    tr
    uk
    zh_CN
    zh_TW
)

list(TRANSFORM LANGUAGES PREPEND "shotcut_" OUTPUT_VARIABLE TS_FILES)
list(TRANSFORM TS_FILES APPEND ".qm" OUTPUT_VARIABLE QM_FILES)
list(TRANSFORM TS_FILES PREPEND ${CMAKE_CURRENT_SOURCE_DIR}/)
list(TRANSFORM TS_FILES APPEND ".ts")

# lupdate ts files
file(GLOB_RECURSE SOURCES "${CMAKE_SOURCE_DIR}/src/*")
qt_add_lupdate(shotcut TS_FILES ${TS_FILES} SOURCES ${SOURCES}
    OPTIONS -locations absolute -no-obsolete -recursive)
add_custom_target(translations DEPENDS shotcut_lupdate)

# generate qm files with lrelease
qt6_add_translation(QM_FILES ${TS_FILES})
add_custom_target(qm ALL DEPENDS ${QM_FILES})

if(UNIX AND NOT APPLE)
  include(GNUInstallDirs)
  install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/ DESTINATION ${CMAKE_INSTALL_DATADIR}/shotcut/translations
    FILES_MATCHING PATTERN "*.qm" PATTERN CMakeFiles EXCLUDE)
endif()

=== debian/changelog ===
shotcut (25.03.29+ds-1ubuntu2) questing; urgency=medium

  * Removed not needed depends on qml6-module-qtquick-nativestyle,
    which will not be shipped in Qt 6.9.

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Aug 2025 09:01:08 +0100

shotcut (25.03.29+ds-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Move the patchelf call later in the build process.
      References Launchpad bug #2060779.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 07:20:00 +0100

shotcut (25.03.29+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 31 Mar 2025 11:05:11 +0000

=== debian/control ===
--- 
+++ 
@@ -54,7 +54,6 @@
  qml6-module-qtqml-xmllistmodel,
  qml6-module-qtquick,
  qml6-module-qtquick-localstorage,
- qml6-module-qtquick-nativestyle,
  qml6-module-qtquick-particles,
  qml6-module-qtquick-shapes,
  qml6-module-qtquick-templates,

## shotcut 25.08.16%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.12...3.31)
 
 if (${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.20")
   cmake_policy(SET CMP0115 NEW)
@@ -6,6 +6,8 @@
 
 if(NOT DEFINED SHOTCUT_VERSION)
   string(TIMESTAMP SHOTCUT_VERSION "%y.%m.%d")
+  # Remove leading zeros from each digit group
+  string(REGEX REPLACE "0*([0-9]+)" "\\1" SHOTCUT_VERSION "${SHOTCUT_VERSION}")
 endif()
 
 project(shotcut
@@ -50,7 +52,7 @@
 endif()
 
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(mlt++ REQUIRED IMPORTED_TARGET mlt++-7>=7.22.0)
+pkg_check_modules(mlt++ REQUIRED IMPORTED_TARGET mlt++-7>=7.32.0)
 pkg_check_modules(FFTW IMPORTED_TARGET fftw3)
 if(NOT FFTW_FOUND)
   pkg_check_modules(FFTW REQUIRED IMPORTED_TARGET fftw)

## shotcut 25.08.16+ds

=== CuteLogger/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.1)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.12...3.31)
 
 PROJECT(CuteLogger)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
   dialogs/durationdialog.ui
   dialogs/editmarkerdialog.cpp dialogs/editmarkerdialog.h
   dialogs/filedatedialog.cpp dialogs/filedatedialog.h
+  dialogs/filedownloaddialog.cpp dialogs/filedownloaddialog.h
   dialogs/listselectiondialog.cpp dialogs/listselectiondialog.h
   dialogs/listselectiondialog.ui
   dialogs/longuitask.cpp dialogs/longuitask.h
@@ -57,6 +58,7 @@
   docks/scopedock.cpp docks/scopedock.h
   docks/subtitlesdock.cpp docks/subtitlesdock.h
   docks/timelinedock.cpp docks/timelinedock.h
+  FlatpakWrapperGenerator.cpp FlatpakWrapperGenerator.h
   jobqueue.cpp jobqueue.h
   jobs/abstractjob.cpp jobs/abstractjob.h
   jobs/bitrateviewerjob.h jobs/bitrateviewerjob.cpp
@@ -78,6 +80,7 @@
   models/alignclipsmodel.cpp models/alignclipsmodel.h
   models/attachedfiltersmodel.cpp models/attachedfiltersmodel.h
   models/audiolevelstask.cpp models/audiolevelstask.h
+  models/extensionmodel.cpp models/extensionmodel.h
   models/keyframesmodel.cpp models/keyframesmodel.h
   models/markersmodel.cpp models/markersmodel.h
   models/metadatamodel.cpp models/metadatamodel.h
@@ -100,6 +103,7 @@
   qmltypes/messagedialog.h qmltypes/messagedialog.cpp
   qmltypes/qmlapplication.cpp qmltypes/qmlapplication.h
   qmltypes/qmleditmenu.cpp qmltypes/qmleditmenu.h
+  qmltypes/qmlextension.cpp qmltypes/qmlextension.h
   qmltypes/qmlfile.cpp qmltypes/qmlfile.h
   qmltypes/qmlfilter.cpp qmltypes/qmlfilter.h
   qmltypes/qmlmarkermenu.cpp qmltypes/qmlmarkermenu.h
@@ -261,10 +265,3 @@
   Qt6::Xml
 )
 if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
-  target_link_libraries(shotcut PRIVATE Qt6::DBus)
-endif()
-
-file(GLOB_RECURSE QML_SRC "qml/*")
-target_sources(shotcut PRIVATE ${QML_SRC})
-
-target_include_directories(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/CuteLogger/include)

=== debian/changelog ===
shotcut (25.08.16+ds-1ubuntu1) resolute; urgency=medium

  * Merge from Debian. Remaining changes:
    - Move the patchelf call later in the build process.
      References Launchpad bug #2060779.

 -- Rik Mills <rikmills@kde.org>  Sat, 18 Oct 2025 18:29:33 +0100

shotcut (25.08.16+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #1113498)
  * Bump standards version to 4.7.2.
  * d/control: drop qml6-module-qtquick-nativestyle Depends. (Closes: #1112353)

 -- Alex Myczko <tar@debian.org>  Fri, 12 Sep 2025 10:42:38 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  qt6-tools-dev,
  qt6-quick3d-dev,
  qt6-charts-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/shotcut

## shotcut 25.10.31%2Bds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+find_package(Qt6 REQUIRED COMPONENTS Core)
+
 add_executable(shotcut WIN32 MACOSX_BUNDLE
   abstractproducerwidget.cpp abstractproducerwidget.h
   actions.cpp actions.h
@@ -31,6 +33,7 @@
   dialogs/resourcedialog.cpp dialogs/resourcedialog.h
   dialogs/saveimagedialog.cpp dialogs/saveimagedialog.h
   dialogs/slideshowgeneratordialog.cpp dialogs/slideshowgeneratordialog.h
+  dialogs/speechdialog.h dialogs/speechdialog.cpp
   dialogs/subtitletrackdialog.cpp dialogs/subtitletrackdialog.h
   dialogs/systemsyncdialog.cpp dialogs/systemsyncdialog.h
   dialogs/systemsyncdialog.ui
@@ -59,16 +62,21 @@
   docks/subtitlesdock.cpp docks/subtitlesdock.h
   docks/timelinedock.cpp docks/timelinedock.h
   FlatpakWrapperGenerator.cpp FlatpakWrapperGenerator.h
+  htmlgenerator.h htmlgenerator.cpp
   jobqueue.cpp jobqueue.h
   jobs/abstractjob.cpp jobs/abstractjob.h
   jobs/bitrateviewerjob.h jobs/bitrateviewerjob.cpp
+  jobs/dockerpulljob.h jobs/dockerpulljob.cpp
   jobs/encodejob.cpp jobs/encodejob.h
   jobs/ffmpegjob.cpp jobs/ffmpegjob.h
   jobs/ffprobejob.cpp jobs/ffprobejob.h
   jobs/gopro2gpxjob.cpp jobs/gopro2gpxjob.h
+  jobs/htmlgeneratorjob.cpp jobs/htmlgeneratorjob.h
+  jobs/kokorodokijob.cpp jobs/kokorodokijob.h
   jobs/meltjob.cpp jobs/meltjob.h
   jobs/postjobaction.cpp jobs/postjobaction.h
   jobs/qimagejob.cpp jobs/qimagejob.h
+  jobs/screencapturejob.cpp jobs/screencapturejob.h
   jobs/videoqualityjob.cpp jobs/videoqualityjob.h
   jobs/whisperjob.cpp jobs/whisperjob.h
   main.cpp
@@ -122,6 +130,14 @@
   sharedframe.cpp sharedframe.h
   shotcut_mlt_properties.h
   transcoder.cpp transcoder.h
+  screencapture/rectangleselector.cpp
+  screencapture/rectangleselector.h
+  screencapture/screencapture.cpp
+  screencapture/screencapture.h
+  screencapture/toolbarwidget.cpp
+  screencapture/toolbarwidget.h
+  screencapture/windowpicker.cpp
+  screencapture/windowpicker.h
   spatialmedia/box.cpp spatialmedia/box.h
   spatialmedia/container.cpp spatialmedia/container.h
   spatialmedia/mpeg4_container.cpp spatialmedia/mpeg4_container.h
@@ -157,6 +173,8 @@
   widgets/frameratewidget.cpp widgets/frameratewidget.h
   widgets/glaxnimateproducerwidget.cpp widgets/glaxnimateproducerwidget.h
   widgets/glaxnimateproducerwidget.ui
+  widgets/htmlgeneratorwidget.cpp widgets/htmlgeneratorwidget.h
+  widgets/htmlgeneratorwidget.ui
   widgets/imageproducerwidget.cpp widgets/imageproducerwidget.h
   widgets/imageproducerwidget.ui
   widgets/isingwidget.cpp widgets/isingwidget.h
@@ -233,35 +251,3 @@
   ../packaging/linux/Makefile
   ../packaging/linux/org.shotcut.Shotcut.desktop
   ../packaging/linux/org.shotcut.Shotcut.metainfo.xml.in
-  ../packaging/linux/org.shotcut.Shotcut.xml
-  ../packaging/linux/shotcut.1
-  ../packaging/linux/snapcraft.yaml.in
-  ../packaging/macos/Info.plist.in
-  ../packaging/macos/shotcut.icns
-  ../packaging/windows/shotcut.iss
-  ../packaging/windows/shotcut.rc.in
-  ../README.md
-  ../scripts/build-shotcut-msys2.sh
-  ../scripts/build-shotcut.sh
-  ../scripts/codesign_and_notarize.sh
-  ../scripts/notarize.sh
-  ../scripts/staple.sh
-)
-
-target_link_libraries(shotcut
-  PRIVATE
-  CuteLogger
-  PkgConfig::mlt++
-  PkgConfig::FFTW
-  Qt6::Charts
-  Qt6::Multimedia
-  Qt6::Network
-  Qt6::OpenGL
-  Qt6::OpenGLWidgets
-  Qt6::QuickControls2
-  Qt6::QuickWidgets
-  Qt6::Sql
-  Qt6::Widgets
-  Qt6::Xml
-)
-if (CMAKE_SYSTEM_NAME STREQUAL "Linux")

## shotcut 25.10.31+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
   option(WINDOWS_DEPLOY "Install exes/libs directly to prefix (no subdir /bin)" ON)
 endif()
 option(CLANG_FORMAT "Enable Clang Format" ON)
+option(EXTERNAL_LAUNCHERS "Whether include features to launch external programs; for example, this should be off for Flatpak due to sandbox." ON)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -44,11 +45,14 @@
   QuickControls2
   QuickWidgets
   Sql
+  WebSockets
   Widgets
   Xml
 )
-if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
+if(UNIX AND NOT APPLE)
   find_package(Qt6 6.4 REQUIRED COMPONENTS DBus)
+  # X11 for WindowPicker (Linux/X11)
+  find_package(X11 REQUIRED)
 endif()
 
 find_package(PkgConfig REQUIRED)

=== debian/changelog ===
shotcut (25.10.31+ds-1ubuntu1) resolute; urgency=medium

  * Merge from Debian. Remaining changes:
    - Move the patchelf call later in the build process.
      References Launchpad bug #2060779.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Nov 2025 23:48:30 +0000

shotcut (25.10.31+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: add qt6-websockets-dev to build-depends.

 -- Alex Myczko <tar@debian.org>  Mon, 03 Nov 2025 08:26:32 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  qt6-tools-dev,
  qt6-quick3d-dev,
  qt6-charts-dev,
+ qt6-websockets-dev,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git

## shotcut 25.12.2+ds

=== debian/changelog ===
shotcut (25.12.2+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Wed, 10 Dec 2025 14:43:24 +0000

shotcut (25.10.31+ds-2) unstable; urgency=medium

  * Change upstream TIMESTAMP to UTC to fix FTBR.

 -- Alex Myczko <tar@debian.org>  Fri, 14 Nov 2025 09:17:49 +0100

## shotcut 25.12.31+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,7 +56,7 @@
 endif()
 
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(mlt++ REQUIRED IMPORTED_TARGET mlt++-7>=7.32.0)
+pkg_check_modules(mlt++ REQUIRED IMPORTED_TARGET mlt++-7>=7.36.0)
 pkg_check_modules(FFTW IMPORTED_TARGET fftw3)
 if(NOT FFTW_FOUND)
   pkg_check_modules(FFTW REQUIRED IMPORTED_TARGET fftw)

=== debian/changelog ===
shotcut (25.12.31+ds-2) experimental; urgency=medium

  * d/control: drop patchelf.
  * d/rules: drop patchelf.
  * d/watch: update to version 5.

 -- Alex Myczko <tar@debian.org>  Mon, 05 Jan 2026 20:53:32 +0000

shotcut (25.12.31+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * d/control: versioned libmlt-dev.

 -- Alex Myczko <tar@debian.org>  Thu, 01 Jan 2026 16:27:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: shotcut
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
- libmlt++-dev,
+ libmlt++-dev (>= 7.36.1),
  libmlt-dev,
  libmovit-dev,
  libmp3lame-dev,
@@ -19,7 +18,7 @@
  qml-module-qtquick-privatewidgets,
  qml-qt6,
  frei0r-plugins-dev,
- patchelf,
+# patchelf,
  qt6-multimedia-dev,
  qt6-base-dev,
  qt6-declarative-dev,

=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,8 @@
 
 override_dh_install:
 	dh_install
+#	-patchelf --set-rpath /usr/lib/shotcut debian/shotcut/usr/bin/shotcut
 	-chmod +x debian/*/usr/share/shotcut/qml/export-*/rebuild.sh
 
 override_dh_dwz:
 	echo NO THANKS
-
-execute_after_dh_strip:
-	-patchelf --set-rpath /usr/lib/shotcut debian/shotcut/usr/bin/shotcut

## shotcut 26.1.30+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 endif()
 option(CLANG_FORMAT "Enable Clang Format" ON)
 option(EXTERNAL_LAUNCHERS "Whether include features to launch external programs; for example, this should be off for Flatpak due to sandbox." ON)
+option(USE_VULKAN "Whether to use Vulkan for hardware video decoding" OFF)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
     eu
     fi
     fr
+    fr_CA
     ga
     gd
     gl
@@ -27,6 +28,7 @@
     it
     ko
     ja
+    lt
     nb
     nn
     ne
@@ -44,6 +46,7 @@
     tr
     uk
     zh_CN
+    zh-Hans
     zh_TW
 )

=== debian/changelog ===
shotcut (26.1.30+ds-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Restore patchelf, otherwise it can't find libCuteLogger.so.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 03 Feb 2026 09:13:11 -0800

shotcut (26.1.30+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Sun, 01 Feb 2026 12:37:51 +0000

=== debian/control ===
Source: shotcut
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               frei0r-plugins-dev,
               libjs-three,
               libmlt++-dev (>= 7.36.1),
               libmlt-dev,
               libmovit-dev,
               libmp3lame-dev,
               libqt6opengl6-dev,
               libx264-dev,
               libx265-dev,
               qml-module-qtquick-privatewidgets,
               qml-qt6,
               qml6-module-qtmultimedia,
               qt6-base-dev,
               qt6-charts-dev,
               qt6-declarative-dev,
               patchelf,
               qt6-multimedia-dev,
               qt6-quick3d-dev,
               qt6-tools-dev,
               qt6-websockets-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/shotcut
Homepage: https://www.shotcut.org/

Package: shotcut
Architecture: any
Depends: frei0r-plugins,
         libjs-three,
         melt,
         qml6-module-qt-labs-animation,
         qml6-module-qt-labs-folderlistmodel,
         qml6-module-qt-labs-lottieqt,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qt-labs-settings,
         qml6-module-qt-labs-sharedimage,
         qml6-module-qt-labs-wavefrontmesh,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-statemachine,
         qml6-module-qtqml-workerscript,
         qml6-module-qtqml-xmllistmodel,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-localstorage,
         qml6-module-qtquick-particles,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-timeline,
         qml6-module-qtquick-tooling,
         qml6-module-qtquick-virtualkeyboard,
         qml6-module-qtquick-window,
         shotcut-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: video editor
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.

Package: shotcut-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: shotcut (<< 20.11.28+ds-1)
Replaces: shotcut (<< 20.11.28+ds-1)
Description: video editor data
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.
 .
 These are data files needed for the binary package.

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,13 @@
 
 override_dh_install:
 	dh_install
-#	-patchelf --set-rpath /usr/lib/shotcut debian/shotcut/usr/bin/shotcut
+	-patchelf --set-rpath /usr/lib/shotcut debian/shotcut/usr/bin/shotcut
 	-chmod +x debian/*/usr/share/shotcut/qml/export-*/rebuild.sh
 
 override_dh_dwz:
 	echo NO THANKS
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

=== debian/watch ===
Version: 5

# GitHub hosted projects
Template: Github
Dversionmangle: s/\+ds$//
Owner: mltframework
Project: shotcut
Repacksuffix: +ds

## shotcut python-1.0.0

=== requirements.txt ===
requests>=2.25.0
typing-extensions>=4.0.0
